Menu


Stacks Image 75485
Cet article décrit l'installation du vSphere SDK for Perl de VMware. Nous utiliserons un ESXi 5.5 qui équipe mon Home Lab. Le principe est pratiquement identique pour les versions 4x de VMware.
Pour interfacer le serveur ESX avec Centreon, nous utiliserons le plugin check_vmware_api.pl développé par OP5.
Le serveur Centreon est basé sur une Debian 7 avec Centreon-Broker et Centreon-Engine. Commençons, dès à présent, notre installation.
màj: 25/06/2015 J'ai rajouté le prérequis pour CES 3.2.

1 Installation du vSphere for Perl de VMware

Vous devez récupérer le binaire vSphere 5.5 SDK for Perl de VMware pour l'installer sur votre serveur de supervision. Il vous faudra un compte chez VMware. Connectez-vous et recherchez le SDK comme ci-dessous.
Stacks Image 4821
Recherche du SDK
Choisissez le binaire adapté à votre supervision, pour ma part je choisis le SDK 64 bits. Télécharger le SDK et copiez-le sur la supervision dans /usr/local/src
Stacks Image 4826
Téléchargement du vSphere SDK for Perl 64 bits

1.1 Pré requis Debian

Ajoutez les paquets Debian suivants si ce n'est pas déjà fait pour l'installation du SDK.
apt-get install build-essential gcc uuid uuid-dev perl libssl-dev perl-doc liburi-perl libxml-libxml-perl libcrypt-ssleay-perl

1.1 Pré requis CES 3.2

Ajoutez les paquets Centos suivants si ce n'est pas déjà fait pour l'installation du SDK.
yum install openssl-devel

1.2 Préparation du SDK

Décompressez le binaire d'installation.
cd /usr/local/src
tar xzf VMware-vSphere-Perl-SDK-5.5.0-1384587.x86_64.tar.gz
cd vmware-vsphere-cli-distrib/

1.2.a adaptation pour Debian

Il faut adapter le script d'installation à notre distribution. Rendre modifiable le fichier /usr/local/src/vmware-vsphere-cli-distrib/bin/vmware-uninstall-vSphere-CLI.pl.
chmod 777 /usr/local/src/vmware-vsphere-cli-distrib/bin/vmware-uninstall-vSphere-CLI.pl
Éditez le fichier /usr/local/src/vmware-vsphere-cli-distrib/bin/vmware-uninstall-vSphere-CLI.pl. Remplacez les deux chaines ubuntu par debian. Il y a
# check for e2fsprogs-devel installed
if ( direct_command("cat /etc/*release | grep -i ubuntu") || direct_command("cat /proc/version | grep -i ubuntu") ) {
Il faut
# check for e2fsprogs-devel installed
if ( direct_command("cat /etc/*release | grep -i debian") || direct_command("cat /proc/version | grep -i debian") ) {

1.3 Installation du SDK

Maintenant, nous pouvons lancer l'installation du SDK.
cd /usr/local/src
cd vmware-vsphere-cli-distrib/
./vmware-install.pl

Creating a new vSphere CLI installer database using the tar4 format.

Installing vSphere CLI 5.5.0 build-1384587 for Linux.

You must read and accept the vSphere CLI End User License Agreement to 
continue.
Press enter to display it.
Valider par entrée et répondre yes pour valider la licence.
Debian
Do you accept? (yes/no) yes

Thank you.

WARNING: The http_proxy environment variable is not set. If your system is 
using a proxy for Internet access, you must set the http_proxy environment 
variable .  

If your system has direct Internet access, you can ignore this warning .  

WARNING: The ftp_proxy environment variable is not set.  If your system is 
using a proxy for Internet access, you must set the ftp_proxy environment 
variable . 

If your system has direct Internet access, you can ignore this warning .  

Please wait while configuring CPAN ...

Please wait while configuring perl modules using CPAN ...

CPAN is downloading and installing pre-requisite Perl module "Archive::Zip" .

CPAN is downloading and installing pre-requisite Perl module 
"Class::MethodMaker" .

CPAN is downloading and installing pre-requisite Perl module "Data::Dump" .

CPAN is downloading and installing pre-requisite Perl module "SOAP::Lite" .

In which directory do you want to install the executable files? 
[/usr/bin] 

Please wait while copying vSphere CLI files...

The installation of vSphere CLI 5.5.0 build-1384587 for Linux completed 
successfully. You can decide to remove this software from your system at any 
time by invoking the following command: 
"/usr/bin/vmware-uninstall-vSphere-CLI.pl".

This installer has successfully installed both vSphere CLI and the vSphere SDK 
for Perl.

The following Perl modules were found on the system but may be too old to work 
with vSphere CLI:

Compress::Zlib 2.037 or newer 
Compress::Raw::Zlib 2.037 or newer 
IO::Compress::Base 2.037 or newer 
IO::Compress::Zlib::Constants 2.037 or newer 
UUID 0.03 or newer 

Enjoy,

--the VMware team
CES 3.2
Do you accept? (yes/no)  yes

Thank you.

This vSphere CLI installer includes precompiled Perl modules for RHEL.
Answering yes will install the precompiled modules, and answering no will
install from CPAN.
Do you want to install precompiled Perl modules for RHEL?
[yes]

In which directory do you want to install the executable files?
[/usr/bin]

Please wait while copying vSphere CLI files...

The installation of vSphere CLI 5.5.0 build-1384587 for Linux completed
successfully. You can decide to remove this software from your system at any
time by invoking the following command:
"/usr/bin/vmware-uninstall-vSphere-CLI.pl".

This installer has successfully installed both vSphere CLI and the vSphere SDK
for Perl.

The following Perl modules were found on the system but may be too old to work
with vSphere CLI:

version 0.78 or newer

Enjoy,

--the VMware team
Valider le dossier /usr/bin par défaut. L'installation du SDK est terminée. Les messages d’avertissement de modules obsolètes ne sont pas bloquants.

2 Installation du plugin check_vmware_api.pl

2.1 Pré requis

il faut ajouter la librairies Perl de Nagios.
Debian
apt-get install libnagios-plugin-perl
CES 3.2
yum install perl-Nagios-Plugin
Récupérez le plugin check_vmware_api.pl. A l'instant où je rédige mon article, le site www.op5.org est indisponible, mais en cherchant bien sur Internet vous pouvez trouver facilement le script, par exemple sur un site nommé http://code.ohloh.net. Copiez le fichier dans le dossier /usr/local/plugins/libexec pour Debiian ou /usr/lib/nagios/plugins pour CES et appliquez les droits nécessaires à son exécution.
chmod a+x check_vmware_api.pl
chown centreon-engine: check_vmware_api.pl

2.2 Configuration du serveur ESX

Le plugin doit utiliser un utilisateur avec son mot de passe associé pour interroger le serveur ESX. Nous allons créer cet utilisateur, connectez-vous à l'ESX avec vSphere.
Stacks Image 4869
Création de l'utilisateur supervision
Stacks Image 5020
Remarques
Le mot de passe supervision n'est valable que pour un ESX 4.1, la sécurité a été renforcée sur les version 5.x. Choisissez un mot de passe, pour un ESXi 5.x, respectant les exigences du système, par exemple Esx2013#
Donnez les droits en lecture seule à l'utilisateur supervision.
Stacks Image 4874
Autorisation Lecture seule pour supervision
L'installation est terminée, nous allons pouvoir passer à la partie configuration.
comments powered by Disqus